FUNCTION TEMPL(3)

NAME
boost::algorithm::ierase_nth - Erase nth algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename SequenceT, typename RangeT>
  void ierase_nth(SequenceT & Input, const RangeT & Search, int Nth,
                  const std::locale & Loc = std::locale());

DESCRIPTION

Remove the Nth occurrence of the substring in the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters:

    Input
        An input string

    Loc
        A locale used for case insensitive comparison

    Nth
        An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.

    Search
        A substring to be searched for.